<ng-container *ngIf="!citizenService; else formContent">
  <div class="p-fluid p-formgrid p-grid">
    <div class="p-field col-12">
      <p-skeleton width="100%" height="2rem"></p-skeleton>
    </div>
    <div class="p-field col-12">
      <p-skeleton width="100%" height="6rem"></p-skeleton>
    </div>
    <div class="p-field col-12">
      <p-skeleton width="100%" height="2rem"></p-skeleton>
    </div>
    <div class="p-field col-12">
      <p-skeleton width="100%" height="2rem"></p-skeleton>
    </div>
    <div class="p-field col-12">
      <p-skeleton width="100%" height="2rem"></p-skeleton>
    </div>
    <div class="p-field col-12">
      <p-skeleton width="100%" height="4rem"></p-skeleton>
    </div>
    <div class="p-field col-12">
      <p-skeleton width="100%" height="4rem"></p-skeleton>
    </div>
  </div>
</ng-container>

<ng-template #formContent>
  <div class="p-fluid p-formgrid p-grid" [formGroup]="formGroup">
    <div class="p-field col-12">
      <label for="title">Titel</label>
      <input
        id="title"
        type="text"
        pInputText
        formControlName="title"
        [readonly]="!editableFields.includes('title')"
        [ngClass]="{ 'readonly-field': !editableFields.includes('title') }"
      />
      <div
        *ngIf="
          formGroup.get('title')?.invalid && formGroup.get('title')?.touched
        "
        class="p-error"
      >
        Titel ist erforderlich.
      </div>
    </div>

    <div class="p-field col-12">
      <label for="description">Beschreibung</label>
      <textarea
        id="description"
        pInputTextarea
        formControlName="description"
        [readonly]="!editableFields.includes('description')"
        [ngClass]="{
          'readonly-field': !editableFields.includes('description'),
        }"
      ></textarea>
      <div
        *ngIf="
          formGroup.get('description')?.invalid &&
          formGroup.get('description')?.touched
        "
        class="p-error"
      >
        Beschreibung ist erforderlich.
      </div>
    </div>

    <div class="p-field col-12">
      <label for="url">URL</label>
      <input
        id="url"
        type="text"
        pInputText
        formControlName="url"
        [readonly]="!editableFields.includes('url')"
        [ngClass]="{ 'readonly-field': !editableFields.includes('url') }"
      />
      <div
        *ngIf="formGroup.get('url')?.invalid && formGroup.get('url')?.touched"
        class="p-error"
      >
        <div *ngIf="formGroup.get('url')?.errors?.['required']">
          URL ist erforderlich.
        </div>
        <div *ngIf="formGroup.get('url')?.errors?.['pattern']">
          Bitte geben Sie eine gültige URL ein.
        </div>
      </div>
    </div>

    <div class="p-field col-12">
      <p-checkbox
        id="visible"
        formControlName="visible"
        binary="true"
        label="Sichtbarkeit"
      ></p-checkbox>
    </div>

    <div class="p-field col-12">
      <p-checkbox
        id="favorite"
        formControlName="favorite"
        binary="true"
        label="Favorit"
      ></p-checkbox>
    </div>

    <div class="p-field col-12">
      <button
        pButton
        type="button"
        label="Speichern"
        (click)="onSubmit()"
        [disabled]="formGroup.invalid"
        class="p-button-primary"
      ></button>
    </div>

    <div class="p-field col-12">
      <button
        pButton
        type="button"
        label="Löschen"
        (click)="onDelete()"
        class="p-button-danger"
      ></button>
    </div>

    <p-confirmDialog
      header="Bestätigung"
      icon="pi pi-exclamation-triangle"
    ></p-confirmDialog>
  </div>
</ng-template>
